!矩形断面のたわみを読み込んで相対誤差を計算するプログラム
implicit real*8(a-h,o-z)
!入力するファイルの名前
open(8,file='tawami.dat')
!出力するファイルの名前
open (7,file='soutaigosa.dat')
!数値(断面に応じて変えること！)
ell=1.0d-2
poason=0.3
p=1.0d3
young=206.d9
hosei=5.0d0/6.0d0
sendandansei=young/(2*(1+poason))
danmenniji=(2.0d-2**4)/12.0d0
danmenseki=2.0d-2*2.0d-2
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
do i2=100,280,10
ell=ell+1.0d-2
syotou=((p*ell**3.0d0)/(3.0d0*young*danmenniji))
timo=((p*ell**3.0d0)/(3.0d0*young*danmenniji))+&
&((p*ell)/(sendandansei*hosei*danmenseki))
read(8,*) supan,suti
syosou=((suti-syotou)/syotou)*100
timosou=((suti-timo)/timo)*100
erueiti=ell/2.0d-2
write(7,'(1pe13.5,a,1pe13.5,a,1pe13.5)')erueiti,' ',syosou,' ',timosou
end do
close(8)
end 
